from django.urls import path, re_path

from Planning.views import PlanningView,PlanningWithIdView,EventsView,EventsWithIdView,UpcomingEventsView

urlpatterns = [
    re_path(r'^plannings$', PlanningView.as_view(), name="planning"),
    re_path(r'^plannings/(?P<id>[0-9]+)$', PlanningWithIdView.as_view(), name="planning"),
    re_path(r'^events$', EventsView.as_view(), name="events"),
    re_path(r'^events/(?P<id>[0-9]+)$', EventsWithIdView.as_view(), name="events"),
    re_path(r'^events/upcoming', UpcomingEventsView.as_view(), name="events"),
]